org.keycloak.userprofile.validation

## Enum UserUpdateEvent

- java.lang.Object
- - java.lang.Enum<UserUpdateEvent>
  - - org.keycloak.userprofile.validation.UserUpdateEvent

- All Implemented Interfaces:
    Serializable, Comparable<UserUpdateEvent>

      public enum UserUpdateEvent
      extends Enum<UserUpdateEvent>

  Author:
    Markus Till

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Account`
    `IdpReview`
    `RegistrationProfile`
    `RegistrationUserCreation`
    `UpdateProfile`
    `UserResource`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserUpdateEvent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserUpdateEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UpdateProfile

          public static final UserUpdateEvent UpdateProfile

    - #### UserResource

          public static final UserUpdateEvent UserResource

    - #### Account

          public static final UserUpdateEvent Account

    - #### IdpReview

          public static final UserUpdateEvent IdpReview

    - #### RegistrationProfile

          public static final UserUpdateEvent RegistrationProfile

    - #### RegistrationUserCreation

          public static final UserUpdateEvent RegistrationUserCreation

  - ### Method Detail

    - #### values

          public static UserUpdateEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserUpdateEvent c : UserUpdateEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserUpdateEvent valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.